## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# not tagged on GitHub, use commit
%global commit 249c886ded0de6783a69cc78fe318ae7a5c07d2f
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global _description %{expand:
After 10 years juggling with os.path, zipfile & Co. I thought it is time to
bring back more pythonic to APIs. It is made with the philosophy that API's
should be intuitive and their defaults should at least cover 80% of what
programmer daily needs. Started with the semantic file system pathes, it grows
continuous and includes more and more handy stuff for the daily python
scripting.}

Name:           python-fspath
Version:        20230218
Release:        %{autorelease}
Summary:        Handling path names and executables more comfortable


License:        AGPL-3.0-or-later
URL:            http://return42.github.io/fspath
Source:         https://github.com/return42/fspath/archive/%{commit}/fspath-%{shortcommit}.tar.gz

BuildArch:      noarch

%description %_description

%package -n python3-fspath
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-fspath %_description

%prep
%autosetup -n fspath-%{commit}

# remove shebangs
for f in fspath/{cli,debug,os_env}.py
do
    sed -i '1d' "$f"
done

# see pyproject-rpm-macros documentation for more forms
%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fspath

%check
# tries to download the zip and then do stuff on the zip
%pytest tests -k "not test_download and not test_ZIP"

%files -n python3-fspath -f %{pyproject_files}
%{_bindir}/fspath
%{_bindir}/which.py

%changelog
* Mon Feb 27 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20230218-1
- fix: update as per review comments
- use latest version
- update license to new license
- replace non-ascii character

* Tue Feb 07 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20190323-3
- chore: add note about license change

* Mon Jan 30 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20190323-2
- feat: ready for review

* Mon Jan 30 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 20190323-1
- init
